Compatibility Matrix

classic Classic list List threaded Threaded
3 messages Options
Reply | Threaded
Open this post in threaded view
|

Compatibility Matrix

Praveen Kumar K S
Hello,

Can anyone help where can I get the compatibility matrix on the versions of pcre, zlib, openssl is tested/supported by specific version of Nginx ?

TIA

--
Regards,

K S Praveen Kumar
M: +91-9986855625


_______________________________________________
nginx mailing list
[hidden email]
http://mailman.nginx.org/mailman/listinfo/nginx
Reply | Threaded
Open this post in threaded view
|

Re: Compatibility Matrix

Sergey A. Osokin-2
Hi Praveen,

hope you're doing well these days.

I don't think I've ever heard about a document like that, however
it's definitely possible to create one.

Usually every new nginx release supports latest versions of all the components
it depends.  Since pcre and zlib releases are in most cases have backward
compatibility with their previous releases, it's possible to build nginx with
ealier or recent versions of those two.

OpenSSL is a bit different in this case cause every major OpenSSL release
brings new features and nginx utilizes OpenSSL functionalities for its needs.

For two recent releases from mainline and stable branches I'd recommend
to use the following versions (1.18.0 and 1.17.10 accordingly) of the
components you've mentioned:

- pcre 8.44
- zlib 1.2.11
- openssl 1.1.1g

Please let me know if you have any questions.

Thank you.

--
Sergey Osokin


On Thu, Apr 30, 2020 at 03:15:14PM +0530, Praveen Kumar K S wrote:

> Hello,
>
> Can anyone help where can I get the compatibility matrix on the versions of
> pcre, zlib, openssl is tested/supported by specific version of Nginx ?
>
> TIA
>
> --
> *Regards,*
> *K S Praveen KumarM: +91-9986855625 *
_______________________________________________
nginx mailing list
[hidden email]
http://mailman.nginx.org/mailman/listinfo/nginx
Reply | Threaded
Open this post in threaded view
|

Re: Compatibility Matrix

Praveen Kumar K S
Hi Sergey,

Thanks for the detailed response. That helps a lot.

On Thu, Apr 30, 2020 at 7:09 PM Sergey A. Osokin <[hidden email]> wrote:
Hi Praveen,

hope you're doing well these days.

I don't think I've ever heard about a document like that, however
it's definitely possible to create one.

Usually every new nginx release supports latest versions of all the components
it depends.  Since pcre and zlib releases are in most cases have backward
compatibility with their previous releases, it's possible to build nginx with
ealier or recent versions of those two.

OpenSSL is a bit different in this case cause every major OpenSSL release
brings new features and nginx utilizes OpenSSL functionalities for its needs.

For two recent releases from mainline and stable branches I'd recommend
to use the following versions (1.18.0 and 1.17.10 accordingly) of the
components you've mentioned:

- pcre 8.44
- zlib 1.2.11
- openssl 1.1.1g

Please let me know if you have any questions.

Thank you.

--
Sergey Osokin


On Thu, Apr 30, 2020 at 03:15:14PM +0530, Praveen Kumar K S wrote:
> Hello,
>
> Can anyone help where can I get the compatibility matrix on the versions of
> pcre, zlib, openssl is tested/supported by specific version of Nginx ?
>
> TIA
>
> --
> *Regards,*
> *K S Praveen KumarM: +91-9986855625 *
_______________________________________________
nginx mailing list
[hidden email]
http://mailman.nginx.org/mailman/listinfo/nginx


--
Regards,

K S Praveen Kumar
M: +91-9986855625


_______________________________________________
nginx mailing list
[hidden email]
http://mailman.nginx.org/mailman/listinfo/nginx